Name: tendrl-commons
Version: 1.5.4
Release: 9%{?dist}
BuildArch: noarch
Summary: Common lib for Tendrl sds integrations and node-agent
Source0: %{name}-%{version}.tar.gz
License: LGPLv2+
URL: https://github.com/Tendrl/commons

Patch0: 0001-Set-the-minimum-required-gluster-version-for-downstr.patch

BuildRequires: pytest
BuildRequires: python2-devel
BuildRequires: python-six
BuildRequires: systemd

Requires: ansible
Requires: python-maps
Requires: python-dateutil
Requires: python-dns
Requires: python-etcd
Requires: python-six
Requires: python-ruamel-yaml
Requires: pytz
Requires: python-psutil
Requires: python-IPy


%description
Common library for tendrl

%prep
%setup
%patch0 -p1

# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%check
py.test -v tendrl/commons/tests || :

%files -f INSTALLED_FILES
%doc README.rst
%license LICENSE

%changelog
* Mon Dec 11 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-9
- Release tendrl-commons 1.5.4-9

* Thu Dec 07 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-8
- Release tendrl-commons 1.5.4-8

* Tue Dec 05 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-7
- Release tendrl-commons 1.5.4-7

* Thu Nov 30 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-6
- Release tendrl-commons 1.5.4-6

* Mon Nov 27 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-5
- Release tendrl-commons 1.5.4-5

* Tue Nov 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-4
- Release tendrl-commons 1.5.4-4

* Sat Nov 18 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-3
- Release tendrl-commons 1.5.4-3

* Fri Nov 10 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-2
- Release tendrl-commons 1.5.4-2

* Fri Nov 03 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-1
- Release tendrl-commons 1.5.4-1

* Thu Oct 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-1
- Release tendrl-commons 1.5.3-1

* Mon Jun 19 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.10
- Release tendrl-commons 3.0-alpha.10

* Mon Jun 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.9
- Release tendrl-commons 3.0-alpha.9

* Thu Jun 08 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.8
- Release tendrl-commons 3.0-alpha.8

* Mon Jun 05 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.7
- Release tendrl-commons 3.0-alpha.7
- BZ# 1458750

* Fri Jun 02 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.6
- Release tendrl-commons 3.0-alpha.6

* Fri May 26 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.5
- Release tendrl-commons 3.0-alpha.5

* Fri May 26 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.4
- Release tendrl-commons 3.0-alpha.4

* Thu May 25 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.3
- Release tendrl-commons 3.0-alpha.3

* Tue May 23 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.2
- Release tendrl-commons 3.0-alpha.2

* Sat May 20 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha
- Release tendrl-commons 3.0-alpha.1

* Thu May 18 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha
- Release tendrl-commons 3.0-alpha

* Wed May 17 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.2.3-1
- Version updated to v1.2.3

* Wed Dec 07 2016 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 0.0.1-1
- Version updated to 0.0.1

* Tue Dec 06 2016 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 0.0.0-2
- Add python-yaml, python-setuptools dependencies

* Mon Oct 17 2016 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 0.0.0-1
- Initial build.
